package intrinsic.mx.rpc.wsdl;

public class WSDL extends Object {

	/** Accessors */
	public intrinsic.mx.rpc.xml.SchemaManager schemaManager;
	public intrinsic.mx.rpc.xml.SchemaConstants schemaConstants;
	public intrinsic.Namespace targetNamespace;
	public intrinsic.mx.rpc.soap.SOAPConstants soapConstants;
	public intrinsic.XML xml;
	public intrinsic.mx.rpc.wsdl.WSDLConstants wsdlConstants;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public WSDL() {
}

public WSDL(Object arg0) {
}


/** Static Methods */

/** Methods */
public native intrinsic.mx.rpc.wsdl.WSDLPort getPort();
public native intrinsic.mx.rpc.wsdl.WSDLPort getPort(String arg0);
public native intrinsic.mx.rpc.wsdl.WSDLPort getPort(String arg0, String arg1);
public native intrinsic.mx.rpc.wsdl.WSDLService getService();
public native intrinsic.mx.rpc.wsdl.WSDLService getService(String arg0);
public native intrinsic.mx.rpc.wsdl.WSDLService getService(String arg0, String arg1);
public native void addImport(intrinsic.Namespace arg0, intrinsic.mx.rpc.wsdl.WSDL arg1);
public native intrinsic.XML getTypes(intrinsic.Namespace arg0);
public native void addSchema(intrinsic.mx.rpc.xml.Schema arg0);
public native intrinsic.mx.rpc.wsdl.WSDLOperation getOperation(String arg0);
public native intrinsic.mx.rpc.wsdl.WSDLOperation getOperation(String arg0, String arg1);
public native intrinsic.mx.rpc.wsdl.WSDLOperation getOperation(String arg0, String arg1, String arg2);

}
